use strict;
use warnings;
use feature qw(say);

my %fd;
my $key;
my $dnastring='';

my $fn = shift;

open my $fh,"<",$fn;

while (<$fh>)
{
  chomp;
  if (/>/) {
    if (defined($key)) {
      $fd{$key} = $dnastring;
      $dnastring = '';
    }
    s/>//g;
    $key = $_;
  }
  else {
    $dnastring .= $_;
  }
}
$fd{$key} = $dnastring;

close $fh;

my $max_key;
my $max_value = 0;
foreach (keys %fd) {
  my $c_count = () = $fd{$_} =~ /C/g;
  my $g_count = () = $fd{$_} =~ /G/g;
  my $gc = ($c_count + $g_count) / length $fd{$_};
  if ($gc > $max_value) {
    $max_key = $_;
    $max_value = $gc;
  }
}
say $max_key." ".$max_value;
